public inbox for cluster-cvs@sourceware.org
help / color / mirror / Atom feed
* cluster: master - init: fix status check
@ 2009-03-20  5:47 Fabio M. Di Nitto
  0 siblings, 0 replies; only message in thread
From: Fabio M. Di Nitto @ 2009-03-20  5:47 UTC (permalink / raw)
  To: cluster-cvs-relay

Gitweb:        http://git.fedorahosted.org/git/cluster.git?p=cluster.git;a=commitdiff;h=fbc2fb7ed43fbfad24cc751555dbbde5a5642389
Commit:        fbc2fb7ed43fbfad24cc751555dbbde5a5642389
Parent:        7016cb1fba9926d4a0b3a2527c0cfa0541e97f08
Author:        Fabio M. Di Nitto <fdinitto@redhat.com>
AuthorDate:    Fri Mar 20 06:29:02 2009 +0100
Committer:     Fabio M. Di Nitto <fdinitto@redhat.com>
CommitterDate: Fri Mar 20 06:47:02 2009 +0100

init: fix status check

make sure to handle conditional startups properly and
add qdisk check.

Signed-off-by: Fabio M. Di Nitto <fdinitto@redhat.com>
---
 cman/init.d/cman.in |   21 ++++++++++++++++++++-
 1 files changed, 20 insertions(+), 1 deletions(-)

diff --git a/cman/init.d/cman.in b/cman/init.d/cman.in
index 816a204..b4af24c 100644
--- a/cman/init.d/cman.in
+++ b/cman/init.d/cman.in
@@ -697,7 +697,26 @@ cmanstatus()
 	errmsg=$( status fenced 2>&1) || return 1
 	errmsg=$( status dlm_controld 2>&1) || return 1
 	errmsg=$( status gfs_controld 2>&1) || return 1
-	errmsg=$( status cmannotifyd 2>&1) || return 1
+
+	case "$CMAN_NOTIFYD_START" in
+		yes)
+			errmsg=$( status cmannotifyd 2>&1) || return 1
+		;;
+		no)
+			# nothing to do
+		;;
+		conditional)
+			if [ -n "$(ls -1 @NOTIFYDDIR@ 2>/dev/null)" ]; then
+				errmsg=$( status cmannotifyd 2>&1) || return 1
+			fi
+		;;
+	esac
+
+	if ccs_tool query /cluster/quorumd >/dev/null 2>&1; then
+		errmsg=$( status qdiskd 2>&1) || return 1
+	fi
+
+	errmsg=$( status corosync 2>&1) || return 1
 
 	fence_xvmd_enabled || return 0
 	errmsg=$( status fence_xvmd 2>&1) || return 1


^ permalink raw reply	[flat|nested] only message in thread

only message in thread, other threads:[~2009-03-20  5:47 UTC | newest]

Thread overview: (only message) (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2009-03-20  5:47 cluster: master - init: fix status check Fabio M. Di Nitto

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).